# Administration Reference

## bos listusers

Purpose

Lists the privileged users from the /usr/afs/etc/UserList file

Synopsis

    bos listusers -server <machine name>  [-cell <cell name>]
                  [-noauth]   [-localauth]   [-help]

    bos listu -s <machine name>  [-c <cell name>]  [-n]  [-l]  [-h]

Description

The bos listusers command lists the user names from the /usr/afs/etc/UserList file on the file server machine named by the -server argument. The users are authorized to issue privileged bos and vos commands.

To edit the list of users, use the bos adduser and bos removeuser commands.

Options

-server
  Indicates the server machine from which to display the UserList file. Identify the machine by IP address or its host name (either fully-qualified or abbreviated unambiguously). For details, see the introductory reference page for the bos command suite.

  For consistent performance in the cell, the output must be the same on every server machine. The bos adduser reference page explains how to keep the machines synchronized.

-cell
  Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see the introductory bos reference page.

-noauth
  Assigns the unprivileged identity anonymous to the issuer. Do not combine this flag with the -localauth flag. For more details, see the introductory bos reference page.

-localauth
  Constructs a server ticket using a key from the local /usr/afs/etc/KeyFile file. The bos command interpreter presents the ticket to the BOS Server during mutual authentication. Do not combine this flag with the -cell or -noauth options. For more details, see the introductory bos reference page.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The output lists the user name of each user entitled to issue privileged bos and vos commands.

Examples

The following example lists the users from UserList file on the machine fs4.abc.com.

       % bos listusers fs4.abc.com
       SUsers are: pat smith jones terry

Privilege Required

None

Related Information

KeyFile

UserList

bos

bos adduser

bos removeuser

© IBM Corporation 2000. All Rights Reserved